<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* playlist-dashboard-spots.twig */
class __TwigTemplate_45a9f5f5a4e7e8c3c3326141b6369a115699e8d1dbbffeb300609d6937f041f9 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 21
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $this->parent = $this->loadTemplate("form-base.twig", "playlist-dashboard-spots.twig", 21);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 23
    public function block_formHtml($context, array $blocks = [])
    {
        // line 24
        echo "    ";
        if ((($context["spotsFound"] ?? null) <= 0)) {
            // line 25
            echo "        <div class=\"row\">
            <div class=\"col-md-12\">
                <div class=\"alert alert-warning\">
                    ";
            // line 28
            echo __("This Playlist does not have any Spots for you to manage. Please choose another.");
            // line 29
            echo "                </div>
            </div>
        </div>
    ";
        }
        // line 33
        echo "
    ";
        // line 34
        if ((($context["spotsFound"] ?? null) > 0)) {
            // line 35
            echo "        <div class=\"widget\">
            <div class=\"widget-title\">
                <h3>";
            // line 37
            echo twig_escape_filter($this->env, $this->getAttribute(($context["playlist"] ?? null), "name", []), "html", null, true);
            echo " <small>";
            echo twig_escape_filter($this->env, ($context["spotsFound"] ?? null), "html", null, true);
            echo " ";
            echo __("Spots");
            echo "</small></h3>
            </div>
            <div class=\"widget-body\">

                ";
            // line 41
            $context["widgetLength"] = twig_length_filter($this->env, $this->getAttribute(($context["playlist"] ?? null), "widgets", []));
            // line 42
            echo "                ";
            $context["remaining"] = (($context["spotsFound"] ?? null) - ($context["widgetLength"] ?? null));
            // line 43
            echo "
                ";
            // line 44
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable($this->getAttribute(($context["playlist"] ?? null), "widgets", []));
            $context['loop'] = [
              'parent' => $context['_parent'],
              'index0' => 0,
              'index'  => 1,
              'first'  => true,
            ];
            if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
                $length = count($context['_seq']);
                $context['loop']['revindex0'] = $length - 1;
                $context['loop']['revindex'] = $length;
                $context['loop']['length'] = $length;
                $context['loop']['last'] = 1 === $length;
            }
            foreach ($context['_seq'] as $context["_key"] => $context["widget"]) {
                // line 45
                echo "
                    <div class=\"row\">
                        <div class=\"col-md-1\">
                            <span class=\"row-title\">";
                // line 48
                echo twig_escape_filter($this->env, $this->getAttribute($context["loop"], "index", []), "html", null, true);
                echo "</span>
                        </div>
                        <div class=\"col-md-2\">
                            ";
                // line 51
                if ($this->getAttribute($context["widget"], "viewble", [])) {
                    // line 52
                    echo "                                ";
                    if (($this->getAttribute($this->getAttribute($this->getAttribute($context["widget"], "module", []), "getModule", [], "method"), "type", []) == "image")) {
                        // line 53
                        echo "                                    ";
                        $context["downloadUrl"] = $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("library.download", ["id" => $this->getAttribute($context["widget"], "getPrimaryMediaId", [], "method")]);
                        // line 54
                        echo "                                    <a class=\"img-replace\" data-toggle=\"lightbox\" data-type=\"image\" href=\"";
                        echo twig_escape_filter($this->env, ($context["downloadUrl"] ?? null), "html", null, true);
                        echo "?preview=1\">
                                        <img src='";
                        // line 55
                        echo twig_escape_filter($this->env, ($context["downloadUrl"] ?? null), "html", null, true);
                        echo "?preview=1&width=50&height=50&cache=1' style='max-height: 50px; max-width: 50px;'/>
                                    </a>
                                ";
                    } else {
                        // line 58
                        echo "                                    <i title=\"";
                        echo twig_escape_filter($this->env, $this->getAttribute($this->getAttribute($this->getAttribute($context["widget"], "module", []), "getModule", [], "method"), "name", []), "html", null, true);
                        echo "\" class=\"fa fa-2x module-icon-";
                        echo twig_escape_filter($this->env, $this->getAttribute($context["widget"], "type", []), "html", null, true);
                        echo "\" style=\"height: 50px; max-width: 50px;\"></i>
                                ";
                    }
                    // line 60
                    echo "                            ";
                }
                // line 61
                echo "                        </div>
                        <div class=\"col-md-8\"
                             data-button-type=\"replace\"
                             data-playlist-id=\"";
                // line 64
                echo twig_escape_filter($this->env, $this->getAttribute($context["widget"], "playlistId", []), "html", null, true);
                echo "\"
                             data-widget-id=\"";
                // line 65
                echo twig_escape_filter($this->env, $this->getAttribute($context["widget"], "widgetId", []), "html", null, true);
                echo "\"
                             data-widget-name=\"";
                // line 66
                echo twig_escape_filter($this->env, $this->getAttribute($this->getAttribute($context["widget"], "module", []), "getName", [], "method"), "html", null, true);
                echo "\"
                                ";
                // line 67
                if (($this->getAttribute($this->getAttribute($this->getAttribute($context["widget"], "module", []), "getModule", [], "method"), "regionSpecific", []) == 0)) {
                    // line 68
                    echo "                                data-media-id=\"";
                    echo twig_escape_filter($this->env, $this->getAttribute($context["widget"], "getPrimaryMediaId", [], "method"), "html", null, true);
                    echo "\"
                                ";
                }
                // line 70
                echo "                             >

                            ";
                // line 72
                if ((($this->getAttribute($this->getAttribute($this->getAttribute($context["widget"], "module", []), "getModule", [], "method"), "regionSpecific", []) == 0) && $this->getAttribute($context["widget"], "editable", []))) {
                    // line 73
                    echo "                                ";
                    if ( !$this->getAttribute($context["widget"], "viewble", [])) {
                        // line 74
                        echo "                                    <button class=\"btn btn-block disabled\">
                                        <i class=\"fa fa-lock fa-lg\"></i>
                                    </button>
                                ";
                    } elseif ( !$this->getAttribute(                    // line 77
$context["widget"], "editable", [])) {
                        // line 78
                        echo "                                    <button class=\"btn btn-block disabled\">
                                        ";
                        // line 79
                        echo twig_escape_filter($this->env, $this->getAttribute($this->getAttribute($context["widget"], "module", []), "getName", [], "method"), "html", null, true);
                        echo " <i class=\"fa fa-lock fa-lg\"></i>
                                    </button>
                                ";
                    } else {
                        // line 82
                        echo "                                    <button class=\"btn btn-block btn-warning spot-action-button\">";
                        echo twig_escape_filter($this->env, $this->getAttribute($this->getAttribute($context["widget"], "module", []), "getName", [], "method"), "html", null, true);
                        echo " </button>
                                ";
                    }
                    // line 84
                    echo "                            ";
                } else {
                    // line 85
                    echo "                                <button class=\"btn btn-block btn-default\" disabled>";
                    echo twig_escape_filter($this->env, $this->getAttribute($this->getAttribute($context["widget"], "module", []), "getName", [], "method"), "html", null, true);
                    echo " - ";
                    echo __("Locked");
                    echo "</button>
                            ";
                }
                // line 87
                echo "                        </div>
                        <div class=\"col-md-1\">
                            ";
                // line 89
                if (((($this->getAttribute($context["widget"], "deletable", []) == 1) && $this->getAttribute(($context["currentUser"] ?? null), "routeViewable", [0 => "/playlist"], "method")) && ($this->getAttribute($this->getAttribute($this->getAttribute($context["widget"], "module", []), "getModule", [], "method"), "regionSpecific", []) == 0))) {
                    // line 90
                    echo "                                <a class=\"XiboFormButton btns\" title=\"";
                    echo __("Delete");
                    echo "\" href=\"";
                    echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("playlist.module.widget.delete.form", ["id" => $this->getAttribute($context["widget"], "widgetId", [])]), "html", null, true);
                    echo "\">
                                    <i class=\"fa fa-lg fa-trash\" aria-hidden=\"true\" style=\"padding:8px 0 8px; color:#d9534f;\"></i>
                                </a>
                            ";
                }
                // line 94
                echo "                        </div>
                    </div>

                ";
                ++$context['loop']['index0'];
                ++$context['loop']['index'];
                $context['loop']['first'] = false;
                if (isset($context['loop']['length'])) {
                    --$context['loop']['revindex0'];
                    --$context['loop']['revindex'];
                    $context['loop']['last'] = 0 === $context['loop']['revindex0'];
                }
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['widget'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 98
            echo "
                ";
            // line 99
            if ((($context["remaining"] ?? null) > 0)) {
                // line 100
                echo "                    ";
                $context['_parent'] = $context;
                $context['_seq'] = twig_ensure_traversable(range(0, (($context["remaining"] ?? null) - 1)));
                $context['loop'] = [
                  'parent' => $context['_parent'],
                  'index0' => 0,
                  'index'  => 1,
                  'first'  => true,
                ];
                if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
                    $length = count($context['_seq']);
                    $context['loop']['revindex0'] = $length - 1;
                    $context['loop']['revindex'] = $length;
                    $context['loop']['length'] = $length;
                    $context['loop']['last'] = 1 === $length;
                }
                foreach ($context['_seq'] as $context["_key"] => $context["i"]) {
                    // line 101
                    echo "
                        <div class=\"row\">
                            <div class=\"col-md-1\">
                                <span class=\"row-title\">";
                    // line 104
                    echo twig_escape_filter($this->env, ($this->getAttribute($context["loop"], "index", []) + ($context["widgetLength"] ?? null)), "html", null, true);
                    echo "</span>
                            </div>
                            <div class=\"col-md-2\">
                            </div>
                            <div class=\"col-md-8\"
                                 data-button-type=\"add\"
                                 data-widget-id=\"\"
                                 data-playlist-id=\"";
                    // line 111
                    echo twig_escape_filter($this->env, $this->getAttribute(($context["playlist"] ?? null), "playlistId", []), "html", null, true);
                    echo "\"
                                 data-widget-preview=\"";
                    // line 112
                    echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("library.download"), "html", null, true);
                    echo "?preview=1\"
                                 data-widget-del=\"";
                    // line 113
                    echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("playlist.module.widget.delete.form"), "html", null, true);
                    echo "\"
                                 data-route-viewable=\"";
                    // line 114
                    echo twig_escape_filter($this->env, $this->getAttribute(($context["currentUser"] ?? null), "routeViewable", [0 => "/playlist"], "method"), "html", null, true);
                    echo "\">
                                ";
                    // line 115
                    if ($this->getAttribute($context["loop"], "first", [])) {
                        // line 116
                        echo "                                    <button class=\"btn btn-block btn-success spot-action-button\">";
                        echo __("Add");
                        echo "</button>
                                ";
                    } else {
                        // line 118
                        echo "                                    <button class=\"btn btn-block btn-default\" disabled>";
                        echo __("Empty");
                        echo "</button>
                                ";
                    }
                    // line 120
                    echo "                            </div>

                            <div class=\"col-md-1 delete-widget\">
                            </div>
                        </div>

                    ";
                    ++$context['loop']['index0'];
                    ++$context['loop']['index'];
                    $context['loop']['first'] = false;
                    if (isset($context['loop']['length'])) {
                        --$context['loop']['revindex0'];
                        --$context['loop']['revindex'];
                        $context['loop']['last'] = 0 === $context['loop']['revindex0'];
                    }
                }
                $_parent = $context['_parent'];
                unset($context['_seq'], $context['_iterated'], $context['_key'], $context['i'], $context['_parent'], $context['loop']);
                $context = array_intersect_key($context, $_parent) + $_parent;
                // line 127
                echo "                ";
            }
            // line 128
            echo "
            </div>
        </div>
    ";
        }
        // line 132
        echo "
";
    }

    public function getTemplateName()
    {
        return "playlist-dashboard-spots.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  341 => 132,  335 => 128,  332 => 127,  312 => 120,  306 => 118,  300 => 116,  298 => 115,  294 => 114,  290 => 113,  286 => 112,  282 => 111,  272 => 104,  267 => 101,  249 => 100,  247 => 99,  244 => 98,  227 => 94,  217 => 90,  215 => 89,  211 => 87,  203 => 85,  200 => 84,  194 => 82,  188 => 79,  185 => 78,  183 => 77,  178 => 74,  175 => 73,  173 => 72,  169 => 70,  163 => 68,  161 => 67,  157 => 66,  153 => 65,  149 => 64,  144 => 61,  141 => 60,  133 => 58,  127 => 55,  122 => 54,  119 => 53,  116 => 52,  114 => 51,  108 => 48,  103 => 45,  86 => 44,  83 => 43,  80 => 42,  78 => 41,  67 => 37,  63 => 35,  61 => 34,  58 => 33,  52 => 29,  50 => 28,  45 => 25,  42 => 24,  39 => 23,  29 => 21,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "playlist-dashboard-spots.twig", "/home/mgatv524/public_html/edurocha/views/playlist-dashboard-spots.twig");
    }
}
